# Packmangroup: Other
# Packmanpackagename: KHeiseRegister
# Packman: Manfred Tremmel

%define name    kheisereg
%define version 0.8
%define release 0.pm.0

Name:           %{name}
Summary:        A KDE-based utility to search within the Heise register.
Summary(de):    Ein KDE basierendes Tool zum suchen in den Heise-Registerdateien.
Copyright:      GPL
Group:          X11/Applications/Multimedia
URL:            http://www.gantz-edv.de/kheisereg/
Version:        %{version}
Release:        %{release}

Source0:        kheisereg-0.8.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
BuildRoot:      /var/tmp/%{name}-%{version}-%{release}
Autoreqprov:    On
Requires:       qt3 >= %( echo `rpm -q --queryformat '%{VERSION}' qt3` | cut -b 1-3 )
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3` | cut -b 1-3 )
Requires:       kdebase3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdebase3` | cut -b 1-3 )
Requires:       XFree86
Requires:       XFree86-libs
BuildRequires:  kdelibs3-devel
BuildRequires:  kdebase3-devel
BuildRequires:  XFree86-devel
BuildRequires:  glibc-devel

%description
A KDE-based utility to search within the Heise register.

%description -l de
Ein KDE basierendes Tool zum suchen in den Heise-Registerdateien.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
export KDEDIR=/opt/kde3
./configure

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL README
/opt/kde3/*

%changelog
* Mon Nov 01 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.8
* Sat Nov 22 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changed Requires and BuildRequires entries
* Sun Apr 13 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Thu Dec 24 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.7
* Sat Nov 09 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.6
* Sat Oct 12 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.5
* Sat Aug 31 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.4
* Fri Aug 23 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first build
